import { CellMeasurerCache } from 'react-virtualized';
interface CellMeasurerCacheDecoratorParams {
    cellMeasurerCache: CellMeasurerCache;
    columnIndexOffset: number;
    rowIndexOffset: number;
}
interface IndexParam {
    index: number;
}
export declare class CellMeasurerCacheDecorator {
    private cellMeasurerCache;
    private columnIndexOffset;
    private rowIndexOffset;
    constructor(params?: Partial<CellMeasurerCacheDecoratorParams>);
    clear(rowIndex: number, columnIndex: number): void;
    clearAll(): void;
    columnWidth: ({ index }: IndexParam) => void;
    get defaultHeight(): number;
    get defaultWidth(): number;
    hasFixedHeight(): boolean;
    hasFixedWidth(): boolean;
    getHeight(rowIndex: number, columnIndex?: number): number | null;
    getWidth(rowIndex: number, columnIndex?: number): number | null;
    has(rowIndex: number, columnIndex?: number): boolean;
    rowHeight: ({ index }: IndexParam) => void;
    set(rowIndex: number, columnIndex: number, width: number, height: number): void;
}
export {};
